[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: upgrade to 1.2.0 not working

From: Miha Vitorovic <mvitorovic_at_nil.si>
Date: 2005-06-30 08:56:06 CEST

"Richard Andrews" <randrews@transzap.com> wrote on 30.06.2005 02:56:36:

> Hello,
>
> I am brand new to SVN and need some help. I upgraded our companies
> svn 1.0 to the current 1.2.0 so we could create a new repository
> using fsfs. After the upgrade the svn admin tools no longer work on
> our original repository. I get the following message.
>
> svnlook: Failed to load module for FS type 'bdb'
>
> svnadmin give me the same error also. I would appreciate any help I can
get.

AFAIK the BerkeleyDB backend version changed from 1.0 to 1.2 . You should
dump the repositories using the old binaries, and then load them into the
new version.

Cheers,

---
  Miha Vitorovic
  Inženir v tehničnem področju
  Customer Support Engineer
   NIL Data Communications,  Tivolska cesta 48,  1000 Ljubljana,  Slovenia
   Phone +386 1 4746 500      Fax +386 1 4746 501     http://www.NIL.si
---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Thu Jun 30 09:12:47 2005

This is an archived mail posted to the Subversion Users mailing list.